Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.core
Enum QDataStream.Status

    java.lang.Object
      java.lang.Enum<QDataStream.Status>
          com.trolltech.qt.core.QDataStream.Status

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QDataStream.Status>

Enclosing class:
  QDataStream

    public static enum QDataStream.Status

extends java.lang.Enum<QDataStream.Status>
implements QtEnumerator

This enum describes the current status of the data stream.

Enum Constant Summary
`Ok` The data stream is operating normally.
`ReadCorruptData` The data stream has read corrupt data.
`ReadPastEnd` The data stream has read past the end of the data in the underlying device.

Method Summary
`static QDataStream.Status` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QDataStream.Status` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QDataStream.Status[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Ok

    public static final QDataStream.Status Ok

  The data stream is operating normally.

### ReadPastEnd

    public static final QDataStream.Status ReadPastEnd

  The data stream has read past the end of the data in the underlying device.

### ReadCorruptData

    public static final QDataStream.Status ReadCorruptData

  The data stream has read corrupt data.

Method Detail

### values

    public static final QDataStream.Status[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QDataStream.Status c : QDataStream.Status.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QDataStream.Status valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QDataStream.Status resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD